# Create a free-tier member

This endpoint is used to create a free tier member. You can also provide a credit value to add credits to the new members account.
The `overrideSpendThreshold` parameter allows you to add customers to a spend based tier, and the `keepInSpendBasedTier` parameter
ensures that the member won't be downgraded if they don't hit the spend minimum.
NOTE: This endpoint will downgrade a customer specified to a lower tier if that is the tier provided to the endpoint!

Endpoint: POST /v2.0/admin/members
Version: 2.0.0
Security: api_key

## Security:

  - `api_key` (unknown)
    apiKey in header X-Inveterate-Api-Key

## Request fields (application/json):

  - `customerId` (string, required)
    The customerId to add to the specified free tier.

  - `referrals` (string, required)
    The signify whether or not the customer was referred. NOTE: NOT to be used to indicate the referring customer.

  - `segmentId` (string, required)
    The segmentId of the tier you want to add this customer to.

  - `overrideSpendThreshold` (boolean, required)
    Whether or not to override the spend required to add a customer to a spend based tier.

  - `keepInSpendBasedTier` (boolean, required)
    Whether or not you want to keep this customer in the spend based tier despite not meeting the spend threshold.

  - `credits` (number, required)
    Especially for member creation requests, if you would like to add some credits to the specified customer.

  - `birthday` (string, required)
    The customer's date of birth in YYYY-MM-DD format, e.g "1988-04-01"

## Response 201:

  - `201` (unknown)
    Returned upon successful request made to our backend. Requests that return this code may take a small amount of time after successful API return to fully update.

## Response 201 fields (application/json):

  - `message` (string, required)
    The message associated with the response. Generally, the message only confirms the requested action. In the case of errors, the message will give insight into the source of the error.

  - `data` (object, required)
    The data associated with the response. Data is only returned from errors if the error originates from our backend to give further insight into the nature of the error.

## Response 400:

  - `400` (unknown)
    Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.

## Response 400 fields (application/json):

  - `message` (string, required)
    The message associated with the response. Generally, the message only confirms the requested action. In the case of errors, the message will give insight into the source of the error.

  - `data` (object, required)
    The data associated with the response. Data is only returned from errors if the error originates from our backend to give further insight into the nature of the error.

## Response 500:

  - `500` (unknown)
    Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.

## Response 500 fields (application/json):

  - `message` (string, required)
    The message associated with the response. Generally, the message only confirms the requested action. In the case of errors, the message will give insight into the source of the error.

  - `data` (object, required)
    The data associated with the response. Data is only returned from errors if the error originates from our backend to give further insight into the nature of the error.

